Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class ForwardingNavigableMap.StandardNavigableKeySet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              com.google.common.collect.ForwardingNavigableMap.StandardNavigableKeySet

All Implemented Interfaces:
  Iterable<K>, Collection<K>, NavigableSet<K>, Set<K>, SortedSet<K>

Enclosing class:
  ForwardingNavigableMap<K,V>

    @Beta
    protected class ForwardingNavigableMap.StandardNavigableKeySet

extends AbstractSet<E>

A sensible implementation of `NavigableMap.navigableKeySet()` in terms of the methods of this `NavigableMap`. In many cases, you may wish to override `ForwardingNavigableMap.navigableKeySet()` to forward to this implementation or a subclass thereof.

Since:
  12.0

Constructor Summary
`ForwardingNavigableMap.StandardNavigableKeySet()` Constructor for use by subclasses.

Method Summary
`K` | `ceiling(K e)`
`void` | `clear()`
`Comparator<? super K>` | `comparator()`
`boolean` | `contains(Object o)`
`Iterator<K>` | `descendingIterator()`
`NavigableSet<K>` | `descendingSet()`
`K` | `first()`
`K` | `floor(K e)`
`SortedSet<K>` | `headSet(K toElement)`
`NavigableSet<K>` | `headSet(K toElement, boolean inclusive)`
`K` | `higher(K e)`
`boolean` | `isEmpty()`
`Iterator<K>` | `iterator()`
`K` | `last()`
`K` | `lower(K e)`
`K` | `pollFirst()`
`K` | `pollLast()`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection<?> c)`
`boolean` | `retainAll(Collection<?> c)`
`int` | `size()`
`NavigableSet<K>` | `subSet(K fromElement, boolean fromInclusive, K toElement, boolean toInclusive)`
`SortedSet<K>` | `subSet(K fromElement, K toElement)`
`SortedSet<K>` | `tailSet(K fromElement)`
`NavigableSet<K>` | `tailSet(K fromElement, boolean inclusive)`

Methods inherited from class java.util.AbstractSet
`equals, hashCode`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.NavigableSet
`iterator`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### ForwardingNavigableMap.StandardNavigableKeySet

    public ForwardingNavigableMap.StandardNavigableKeySet()

  Constructor for use by subclasses.

Method Detail

### comparator

    public Comparator<? super K> comparator()

  Specified by:
    `comparator` in interface `SortedSet<K>`

### first

    public K first()

  Specified by:
    `first` in interface `SortedSet<K>`

### last

    public K last()

  Specified by:
    `last` in interface `SortedSet<K>`

### lower

    public K lower(K e)

  Specified by:
    `lower` in interface `NavigableSet<K>`

### floor

    public K floor(K e)

  Specified by:
    `floor` in interface `NavigableSet<K>`

### ceiling

    public K ceiling(K e)

  Specified by:
    `ceiling` in interface `NavigableSet<K>`

### higher

    public K higher(K e)

  Specified by:
    `higher` in interface `NavigableSet<K>`

### pollFirst

    public K pollFirst()

  Specified by:
    `pollFirst` in interface `NavigableSet<K>`

### pollLast

    public K pollLast()

  Specified by:
    `pollLast` in interface `NavigableSet<K>`

### descendingSet

    public NavigableSet<K> descendingSet()

  Specified by:
    `descendingSet` in interface `NavigableSet<K>`

### descendingIterator

    public Iterator<K> descendingIterator()

  Specified by:
    `descendingIterator` in interface `NavigableSet<K>`

### subSet

    public NavigableSet<K> subSet(K fromElement,
                                  boolean fromInclusive,
                                  K toElement,
                                  boolean toInclusive)

  Specified by:
    `subSet` in interface `NavigableSet<K>`

### headSet

    public NavigableSet<K> headSet(K toElement,
                                   boolean inclusive)

  Specified by:
    `headSet` in interface `NavigableSet<K>`

### tailSet

    public NavigableSet<K> tailSet(K fromElement,
                                   boolean inclusive)

  Specified by:
    `tailSet` in interface `NavigableSet<K>`

### subSet

    public SortedSet<K> subSet(K fromElement,
                               K toElement)

  Specified by:
    `subSet` in interface `NavigableSet<K>`
  Specified by:
    `subSet` in interface `SortedSet<K>`

### headSet

    public SortedSet<K> headSet(K toElement)

  Specified by:
    `headSet` in interface `NavigableSet<K>`
  Specified by:
    `headSet` in interface `SortedSet<K>`

### tailSet

    public SortedSet<K> tailSet(K fromElement)

  Specified by:
    `tailSet` in interface `NavigableSet<K>`
  Specified by:
    `tailSet` in interface `SortedSet<K>`

### iterator

    public Iterator<K> iterator()

  Specified by:
    `iterator` in interface `Iterable<K>`
  Specified by:
    `iterator` in interface `Collection<K>`
  Specified by:
    `iterator` in interface `Set<K>`
  Specified by:
    `iterator` in class `AbstractCollection<K>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<K>`
  Specified by:
    `size` in interface `Set<K>`
  Specified by:
    `size` in class `AbstractCollection<K>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<K>`
  Specified by:
    `isEmpty` in interface `Set<K>`
  Overrides:
    `isEmpty` in class `AbstractCollection<K>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<K>`
  Specified by:
    `contains` in interface `Set<K>`
  Overrides:
    `contains` in class `AbstractCollection<K>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<K>`
  Specified by:
    `remove` in interface `Set<K>`
  Overrides:
    `remove` in class `AbstractCollection<K>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<K>`
  Specified by:
    `clear` in interface `Set<K>`
  Overrides:
    `clear` in class `AbstractCollection<K>`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<E>`
  Specified by:
    `removeAll` in interface `Set<E>`
  Overrides:
    `removeAll` in class `AbstractSet<E>`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<E>`
  Specified by:
    `retainAll` in interface `Set<E>`
  Overrides:
    `retainAll` in class `AbstractCollection<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.